Bug 1083486 - Fix for WELD-1415 affects GateIn CDI integration
Summary: Fix for WELD-1415 affects GateIn CDI integration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: EAP 6.3.0
Assignee: Jozef Hartinger
QA Contact: Ron Šmeral
Russell Dickenson
URL:
Whiteboard:
Depends On: 1089168
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-02 10:38 UTC by Juraci Paixão Kröhling
Modified: 2016-11-01 01:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:35:08 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1082651 0 unspecified VERIFIED PBR portlets throws javax.faces.FacesException: Must call associate() before calling activate() 2021-11-14 22:29:41 UTC
Red Hat Issue Tracker WELD-1648 0 Critical Resolved Use more robust strategy for dealing with Servlet includes/forwards. 2019-02-08 02:01:33 UTC

Internal Links: 1082651 1083517 1090074

Description Juraci Paixão Kröhling 2014-04-02 10:38:34 UTC
Description of problem:
The fix for the issue WELD-1415, incorporated into EAP 6.2, is currently affecting Portlets that makes use of JSF and CDI, as reported on BZ 1082651. A workaround was mentioned by jharting on that BZ, which is available from Weld 1.1.18.Final and on. So, this version would need to be incorporated into EAP 6.3.0.ER1, in order to be consumed by Portal. 

Version-Release number of selected component (if applicable):
6.3.0.DR6 is affected

Comment 1 Jozef Hartinger 2014-04-18 07:34:06 UTC
Changing status to POST as this issue won't be properly resolved until 1089168 is merged.

Comment 2 Ron Šmeral 2014-07-01 14:45:32 UTC
Verified on JPP 6.2.0.ER03.


Note You need to log in before you can comment on or make changes to this bug.